Generate Transaction Return Summary
curl --request POST \
--url https://sandbox.cashfree.com/pg/subscriptions/charge/{payment_id}/transaction-return-summary/generate \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>'import requests
url = "https://sandbox.cashfree.com/pg/subscriptions/charge/{payment_id}/transaction-return-summary/generate"
headers = {
"x-api-version": "<x-api-version>",
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-version': '<x-api-version>',
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>'
}
};
fetch('https://sandbox.cashfree.com/pg/subscriptions/charge/{payment_id}/transaction-return-summary/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"paymentId": 123456,
"status": "GENERATED",
"link": "<download-link>"
},
"message": "Transaction return summary status fetched successfully.",
"status": 200
}{
"code": "api_request_failed",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"message": "Payment status PENDING is not valid for transaction return summary generation.",
"type": "invalid_request_error"
}{
"message": "authentication Failed",
"code": "request_failed",
"type": "authentication_error"
}{
"message": "something is not found",
"code": "somethind_not_found",
"type": "invalid_request_error"
}{
"message": "Too many requests from IP. Check headers",
"code": "request_failed",
"type": "rate_limit_error"
}{
"message": "internal Server Error",
"code": "internal_error",
"type": "api_error"
}Mandate
Generate Transaction Return Summary
Use this API to generate transaction return summary for failed transactions (insufficient balance).
POST
/
subscriptions
/
charge
/
{payment_id}
/
transaction-return-summary
/
generate
Generate Transaction Return Summary
Authorizations
XClientID & XClientSecretXClientID & XPartnerAPIKeyXClientID & XClientSignatureHeaderXPartnerMerchantID & XPartnerAPIKey
Client app ID. You can find your app id in the Merchant Dashboard.
Client secret key. You can find your secret key in the Merchant Dashboard.
Headers
API version to be used
Request id for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to cashfree
An idempotency key is a unique identifier you include with your API call. If the request fails or times out, you can safely retry it using the same key to avoid duplicate actions.
Path Parameters
Provide the PaymentId using which the payment was created.
Response
Fetched Subscription Response
Was this page helpful?
API to get all the payment method details available for subscription payments.Raise a charge or create an auth.
⌘I